Bug 23013 - traceroute-1.4a12 has been released
traceroute-1.4a12 has been released
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: traceroute (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-29 18:27 EST by Pekka Savola
Modified: 2015-03-04 20:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-24 13:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix configure.in to detect findsaddr-linux method (408 bytes, patch)
2000-12-29 19:01 EST, Pekka Savola
no flags Details | Diff
really use the interface with -i (1.62 KB, patch)
2001-01-13 13:17 EST, Pekka Savola
no flags Details | Diff

  None (edit)
Description Pekka Savola 2000-12-29 18:27:58 EST
After ~3 years, there has been a new release of traceroute in December, 1.4a11. 
It can be found from the same location as the previous one.

I fear a lot of patches would have to be reworked, but the package might become 
more maintainable if the changes could be synced and most stuff upstreamed.
Comment 1 Pekka Savola 2000-12-29 19:00:17 EST
configure misdetects source address checking method and compilation fails.

The following patch + running autoconf helps.
Comment 2 Pekka Savola 2000-12-29 19:01:28 EST
Created attachment 6822 [details]
fix configure.in to detect findsaddr-linux method
Comment 3 Pekka Savola 2000-12-29 19:09:01 EST
Somewhat related to #22254.
Comment 4 Pekka Savola 2000-12-30 13:43:12 EST
I've merged non-{aliases,autoroute*} (the implementation has changed, so these might need a 
little more thought) patches against the newer version, sanitizing them a bit in the process.

The patches are as follows:

traceroute-1.4a11-configure.patch
 * contains the first configure-linux patch and required stuff
 * fixes the need for gcc detection in configure properly
 * fixes the default to detect linux kernel route table checking with /proc
 * replaces the most of  traceroute-1.4a5-fix.patch

traceroute-1.4a11-droproot.patch
 * drop root earlier (no major changes)
 * XXX: useicmp is used before it's defined, well, it was wrong in the past.  
Nonetheless icmp/udp seem to work.

traceroute-1.4a11-redhat.patch
 * Fix Makefile.in
 * replaces traceroute-1.4a5-{fhs,fhs}.patch

traceroute-1.4a11-secfix.patch
 * get IFNAMSIZ directly from net/if.h
 * replace 'Nice try' etc. with more informative messages from traceroute-1.4a5-lsrr.patch
 * replace old secfix

traceroute-1.4a11-ANK.patch
 * last bits from traceroute-1.4a5-lsrr.patch that weren't already in 

traceroute-1.4a5-unaligned.patch
 * unchanged

"Obsolete" patches:
traceroute-1.4a5-llanfairpwllgwyngyllgogerychwyrndrobwllllantysiliogogogoch.patch
 * MAXHOSTNAMELEN was back to 64 in lsrr anyway.  Should get shorter hostnames, this
is making standard headers sick

traceroute-1.4a5-bigpacklen.patch
 * no longer needed

traceroute-1.4a5-sourceroute.patch
 * no longer needed, savestr has been killed

traceroute-1.4a5-alpha.patch
 * should not be needed any longer

Nonmerged, at least yet (a little different approach now):

traceroute-1.4a5-aliases.patch
traceroute-1.4a5-autoroute.patch
traceroute-1.4a5-autoroute2.patch

---

tracerouting via aliased interfaces (with -s) seems rebroken without some of 
those patches, at least.

http://www.netcore.fi/pekkas/linux/

Comment 5 Pekka Savola 2000-12-30 15:58:09 EST
Clarification: limited testing seems to show that '-s' w/ aliased interfaces (or using -i eth0:x) works.  
Automatical detection doesn't.  Basic dual-interface configuration also works.

The aliased interfaces patch seemed to break some P-t-P configurations (#17915) so I'm 
not sure if that solution is a good one. .. or even really needed that much.
Comment 6 Pekka Savola 2001-01-13 13:16:36 EST
I have updated these for traceroute-1.4a12 (very minor configuration patch), and split the ANK patch to two,
where the latter part isn't applied by default.  There are new methods in effect now.

Also, I've included a patch for -i so that the interface will actually be always used too.  This applies to 1.4a5
as well.  Attaching this one.

Every scenario I can think of (aliased interfaces, multihomed systems, ...) would appear to work with this one.
Feedback welcome.

The rest can be found in the URL mentioned above.

Comment 7 Pekka Savola 2001-01-13 13:17:15 EST
Created attachment 7564 [details]
really use the interface with -i
Comment 8 Pekka Savola 2001-04-11 12:27:39 EDT
Note: a12 has been released too.  .src.rpm is available at
http://www.netcore.fi/pekkas/linux/.
Comment 9 Pekka Savola 2001-06-24 12:29:07 EDT
Anything new on this one?  I'd like to see a new version in the next release.
Comment 10 Phil Knirsch 2001-06-24 13:50:11 EDT
It's on my list of packages to be updated or the next upcoming release.

Thanks for the info.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.